<!--<h4>Engine Diagnostic</h4>
<div class="row">
  <div class="outer-container">
    <div class="row" *ngIf="showEngineFault">
      <div class="col-md-12 vehicle-detail">
        <div class="BBP10" *ngFor="let fault of engineFaultArray">
        <span class="label">{{fault[0] ? fault[0] : '-'}}</span>
        <span class="value">{{fault[1] ? fault[1] : '-'}}</span>
      </div>
      </div>
    </div>

    <div class="row" *ngIf="showNoIssue">
      <div class="col-md-12 vehicle-detail">
        <div class="BBP10">
          <span class="label">No Issues Found</span>
        </div>
      </div>
    </div>

    <div class="row" *ngIf="showNoData">
      <div class="col-md-12 vehicle-detail">
        <div class="BBP10">
          <span class="label">No Data Available</span>
        </div>
      </div>
    </div>

  </div>
</div>-->


<h4>Engine Diagnostic</h4>
<div class="row">
  <div class="outer-container">
    <span *ngIf="showEngineFault || showNoIssue">
      <div class="row BBP10">
        <div class="col-md-3 vehicle-detail">
          <span class="label">Trouble code</span>
        </div>
        <div class="col-md-8 vehicle-detail">
          <span class="label">Fault location</span>
        </div>
        <div class="col-md-1 vehicle-detail"></div>
      </div>
      <span *ngIf="showEngineFault">
        <div class="row assetBorder highLight" *ngFor="let fault of engineFaultArray">
          <div class="col-md-3 vehicle-detail">
            <span class="value">{{fault[0] ? fault[0] : '-'}}</span>
          </div>
          <div class="col-md-8 vehicle-detail">
            <span class="value">{{fault[1] ? fault[1] : '-'}}</span>
          </div>
          <div class="col-md-1 vehicle-detail">
            <img class="icon" src="../../../assets/exclamation-red.png">
          </div>
        </div>
      </span>

      <span *ngIf="showNoIssue">
        <div class="row assetBorder">
          <div class="col-md-3 vehicle-detail">
            <span class="value">0</span>
          </div>
          <div class="col-md-8 vehicle-detail">
            <span class="value">No trouble codes found on OBD</span>
          </div>
          <div class="col-md-1 vehicle-detail">
            <img class="icon" src="../../../assets/checkCircle.png">
          </div>
        </div>
      </span>
    </span>

    <div class="row" *ngIf="showNoData">
      <div class="col-md-12 vehicle-detail">
        <div class="BBP10">
          <span class="label highLight">No Data Available</span>
        </div>
      </div>
    </div>

  </div>
</div>

<div *ngIf="showCircularLoader">
  <app-circular-loader></app-circular-loader>
</div>
